## soapaligner 2.20

=== Makefile ===
SHELL         = /bin/sh
PROG          = soap
DEBUG         = NO
PROFILE       = NO
PTHREADS      = YES
CC            = gcc
DEBUG_FLAGS   = -g3 -Wall -O2
PROFILE_FLAGS = -fprofile-arcs -ftest-coverage -pg 
RELEASE_FLAGS = -msse3 -O3 -static -funroll-loops -maccumulate-outgoing-args -fomit-frame-pointer 
STATIC_FLAGS  = -static
DFLAGS        = -DMAKE_TIME=\""`date`"\"
LIBS          = -lm
#TARBALL_EXCLUDE = "*.(o,gz,zip)"
#ZIP_EXCLUDE     = *.o *.gz *.zip

ifeq (YES, $(DEBUG))
        CFLAGS   = $(DEBUG_FLAGS) $(STATIC_FLAGS)
        DFLAGS  += -DDEBUG
#        PTHREADS = NO
else
        CFLAGS   = $(RELEASE_FLAGS) $(STATIC_FLAGS)
endif

ifeq (YES, $(PTHREADS))
        LIBS   +=  -lpthread
        DFLAGS +=  -DPTHREADS
endif

ifeq (YES, $(PROFILE))
       DFLAGS += $(PROFILE_FLAGS)
endif

OBJ = SeqIO.o MiscUtilities.o MemManager.o TextConverter.o r250.o DNACount.o HSP.o Timing.o BWT.o extratools.o soapio.o BWTAln.o Match.o PairMatch.o stdaln.o kstring.o
.SUFFIX:
.SUFFIX: .c .o

.c.o:
	$(CC) -c $(CFLAGS) $(DFLAGS) $< -o $@

all: $(PROG)

$(PROG): $(OBJ) soap.o
	$(CC) $(CFLAGS) $(DFLAGS) $(OBJ) soap.o -o $@ $(LIBS)

SeqIO.o:SeqIO.h
r250.o: r250.h
DNACount.o:DNACount.h
HSP.o:HSP.h
MiscUtilities.o:MiscUtilities.h
MemManager.o:MemManager.h
TextConverter.o:TextConverter.h
extratools.o:extratools.h BWT.h MiscUtilities.h MemManager.h TextConverter.h Timing.h HSP.h kstring.h
soapio.o:soapio.h SeqIO.h
BWT.o:BWT.h 
BWTAln.o:BWTAln.h BWT.h
Match.o:Match.h BWTAln.h soapio.h
PairMatch.o:Match.h BWTAln.h stdaln.h
MiscUtilities.o:MiscUtilities.h
MemManager.o:MemManager.h
TextConverter.o:TextConverter.h
stdaln.o:stdaln.h
kstring.o:kstring.h

clean:
	rm -f *.o $(PROG)

=== debian/changelog ===
soapaligner (2.20-6) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097906)
  * d/patches/*: normalize Last-Update timestamp.
  * d/watch: convert to untrackable watch file v5.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare complianct to standards version 4.7.2.
  * d/rules: simplify passing lto flags.
  * cppflags.patch: new: propagate CPPFLAGS.
    This improves binaries hardening by fortifying sources.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Oct 2025 23:00:20 +0200

soapaligner (2.20-5) unstable; urgency=medium

  * Team Upload.
  * d/p/gcc-10.patch: Fix compilation with GCC 10.
    - Thank you, Logan Rosen (Closes:  #979681)
  * Declare compliance with policy 4.5.1
  * Bump debhelper-compat version to 13

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 14 Jan 2021 17:05:45 +0530

soapaligner (2.20-4) unstable; urgency=medium

  * Team upload.
  * Homepage has vanished - point to web archive to reflect this
  * Deactivated watch file
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 17 Apr 2020 11:45:00 +0200

soapaligner (2.20-3) unstable; urgency=medium

  * Team upload.
  * Architecture: any-amd64 x32
    Closes: #903003
  * More sensible date for reproducible builds (SOURCE_DATE_EPOCH)
  * Force propagation of hardening options
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 13:51:03 +0200

soapaligner (2.20-2) unstable; urgency=medium

  * Team upload.
  * Drop -msse3 from compiler options
    Closes: #902129
  * debhelper 11
  * Standards-Version: 4.1.4
  * DEP3
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 30 Jun 2018 07:22:04 +0200

soapaligner (2.20-1) unstable; urgency=low

  [ Steffen Moeller ]
  * Initial release (Closes: #669917,#897908)
    There is a version 2.21 released as a binary for
    which I failed to find the source code.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * cme

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Apr 2012 22:45:08 +0200

=== debian/control ===
Source: soapaligner
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/soapaligner
Vcs-Git: https://salsa.debian.org/med-team/soapaligner.git
Homepage: https://web.archive.org/web/20190127081222/http://soap.genomics.org.cn/soapaligner.html

Package: soapaligner
Architecture: any-amd64 x32
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: aligner of short reads of next generation sequencers
 This package addresses a common problem in bioinformatics that has
 become routine now also in clinical research: the assembly and
 comparison of the very long genomic DNA sequences from many
 short reads that the machines provide.
 .
 SOAPaligner/soap2 is a member of the Short Oligonucleotide Analysis
 Package (SOAP) and an updated version of SOAP software for short
 oligonucleotide alignment (soap v1). The new program features in super
 fast and accurate alignment for huge amounts of short reads generated by
 Illumina/Solexa Genome Analyzer. Compared to soap v1, it is one order
 of magnitude faster. It require only 2 minutes aligning one million
 single-end reads onto the human reference genome. Another remarkable
 improvement of SOAPaligner is that it now supports a wide range of the
 read length.
 .
 SOAPaligner/soap2 benefitted in time and space efficiency by a revolution
 in the basic data structures and algorithms used. The core algorithms and
 the indexing data structures (2way-BWT) are developed by the algorithms
 research group of the Department of Computer Science, the University
 of Hong Kong (T.W. Lam, Alan Tam, Simon Wong, Edward Wu and S.M. Yiu).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
export DH_VERBOSE=1
export DFLAGS = -DMAKE_TIME=\""SOURCE_DATE_EPOCH"\"

%:
	dh $@

=== debian/watch ===
Version: 5
Untrackable: upstream site vanished.

Source: http://soap.genomics.org.cn/soapaligner.html
Matching-Pattern: down/SOAPaligner-v(\d[.\d]+)-src.tar.gz
